package com.goafanti.cognizance.bo;

import java.util.Date;

import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputOrgTechCenterDetail {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	id;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	cid;

	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	projectName;

	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	institution;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	protocolUrl;

	/**
	 * 产学研时间
	 */
	private Date	projectTime;

	/**
	 * 期限开始时间
	 */
	private Date	termStartTime;

	/**
	 * 期限截止时间
	 */
	private Date	termEndTime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	public String getInstitution() {
		return institution;
	}

	public void setInstitution(String institution) {
		this.institution = institution;
	}

	public String getProtocolUrl() {
		return protocolUrl;
	}

	public void setProtocolUrl(String protocolUrl) {
		this.protocolUrl = protocolUrl;
	}

	public Date getProjectTime() {
		return projectTime;
	}

	public void setProjectTime(Date projectTime) {
		this.projectTime = projectTime;
	}

	public Date getTermStartTime() {
		return termStartTime;
	}

	public void setTermStartTime(Date termStartTime) {
		this.termStartTime = termStartTime;
	}

	public Date getTermEndTime() {
		return termEndTime;
	}

	public void setTermEndTime(Date termEndTime) {
		this.termEndTime = termEndTime;
	}

	
}
